clang-tools 10.0.0

Classes | Namespaces | Enumerations | Functions
ClangIncludeFixer.cpp File Reference
`#include "FuzzySymbolIndex.h"`
`#include "InMemorySymbolIndex.h"`
`#include "IncludeFixer.h"`
`#include "IncludeFixerContext.h"`
`#include "SymbolIndexManager.h"`
`#include "YamlSymbolIndex.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Frontend/TextDiagnosticPrinter.h"`
`#include "clang/Rewrite/Core/Rewriter.h"`
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/YAMLTraits.h"`
Include dependency graph for ClangIncludeFixer.cpp:

Go to the source code of this file.

## Classes
struct | llvm::yaml::MappingTraits< tooling::Range >
struct | llvm::yaml::MappingTraits< tooling::Range >::NormalizedRange
struct | llvm::yaml::MappingTraits< IncludeFixerContext::HeaderInfo >
struct | llvm::yaml::MappingTraits< IncludeFixerContext::QuerySymbolInfo >
struct | llvm::yaml::MappingTraits< IncludeFixerContext >

## Namespaces
| llvm
| Some operations such as code completion produce a set of candidates.
| llvm::yaml

## Enumerations
enum | DatabaseFormatTy

## Functions
int | main (int argc, const char **argv)

## Enumeration Type Documentation

## ◆ DatabaseFormatTy

enum DatabaseFormatTy

Definition at line 84 of file ClangIncludeFixer.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 471 of file ClangIncludeFixer.cpp.